Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.async
Interface XSLTransformerListener

All Superinterfaces:
  java.util.EventListener

public interface XSLTransformerListener
extends java.util.EventListener

This interface must be implemented in order to receive notifications about events during the asynchronous transformation. The class implementing this interface must be added to the XSLTransformer using addXSLTransformerListener method.

Method Summary
`void` | `xslTransformerError(XSLTransformerEvent p0)` This method is called when parse or transformation error occur.
`void` | `xslTransformerOver(XSLTransformerEvent p0)` This method is called when the transformation is complete
`void` | `xslTransformerStarted(XSLTransformerEvent p0)` This method is called when the transformation starts

Method Detail

### xslTransformerError

    public void xslTransformerError(XSLTransformerEvent p0)

  This method is called when parse or transformation error occur.
  Parameters:
    `p0` - - The XSLTransformerEvent object produced by the XSLTransformer

### xslTransformerOver

    public void xslTransformerOver(XSLTransformerEvent p0)

  This method is called when the transformation is complete
  Parameters:
    `p0` - - The XSLTransformerEvent object produced by the XSLTransformer

### xslTransformerStarted

    public void xslTransformerStarted(XSLTransformerEvent p0)

  This method is called when the transformation starts
  Parameters:
    `p0` - - The XSLTransformerEvent object produced by the XSLTransformer

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.